الانتقال إلى المحتوى

توثيق API

واجهة برمجة التطبيقات للعملاء من Smrt English

واجهة برمجة تطبيقات للقراءة فقط ترسل سجلات الطلاب والفصول إلى أنظمة مؤسستكم. ولا يصل كل مفتاح API إلا إلى بيانات مؤسسته.

فتح مركز الاختبار

آلية العمل

كيف يعمل الطلب.

يطلب نظامكم بيانات طالب أو فصل بمفتاح API المخصص له، وتعيد واجهة برمجة التطبيقات السجلات للقراءة فقط.

نظامكمنظام معلومات الطلاب أو أداة التقارير لديكم.
مفتاح API لديكميُرسل مع كل طلب ويرتبط بمدرستكم.
واجهة Smrt English APIنقاط وصول للقراءة فقط لبيانات الطلاب والفصول.
سجلاتكمالدرجات والحضور وقوائم طلاب الفصول بصيغة JSON.
keyboard_arrow_up

Smrt English API

verified_user Authentication Test Endpoint

Endpoint Details

Endpoint: GET /smrtapi/v1/auth

Purpose: Verify that your API key is valid and active

Headers Required

X-API-Key: your_institution_api_key

Example Request

curl -H "X-API-Key: your_institution_api_key" \
  https://smrtenglish.com/smrtapi/v1/auth

Use Cases

  • Verify API key before implementing full integration
  • Test connectivity to the API
  • Confirm school information and permissions
  • Health check for API availability

Response Format

Success Response (200 OK):

{
  "success": true,
  "data": {
    "authenticated": true,
    "school": {
      "id": 1,
      "name": "Your Institution Name",
      "key": "your_institution"
    },
    "api_key_name": "Your Institution Production API Key",
    "timestamp": "2025-09-29 22:20:32"
  },
  "message": "API key is valid and active"
}

Error Response (401 Unauthorized):

{
  "error": true,
  "message": "Authentication required",
  "status_code": 401,
  "error_code": "AUTH_REQUIRED"
}

Response Fields

Field Type Description
authenticated boolean Always true for successful auth
school.id integer Your institution's unique ID
school.name string Your institution's name
school.key string Your institution's unique key
api_key_name string Friendly name for the API key
timestamp string Server timestamp